package cn.axzo.workflow.core.engine.event;

import cn.axzo.workflow.common.enums.BpmnProcessInstanceResultEnum;
import org.flowable.common.engine.api.delegate.event.FlowableEvent;
import org.flowable.common.engine.api.delegate.event.FlowableEventType;

/**
 * 接收任务的扩展任务记录表创建的事件
 *
 * @author wangli
 * @since 2024/2/5 18:26
 */
public interface ExtTaskInstEvent extends FlowableEvent {
    @Override
    FlowableEventType getType();

    String getProcessInstanceId();

    String getActivityId();

    String getTaskId();

    String getAssignee();

    BpmnProcessInstanceResultEnum getResultEnum();

}
